/*******************************************************************************
*    I²C Slave Library 1.0.                                                    *
*    Copyright (C) 2010-averyfarwaydate Luca Bertoncello                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

#ifndef CONSTANTS_H_
#define CONSTANTS_H_

#define MYI2C                 0xE0

#define boolean               uint8_t
#define TRUE                  1
#define FALSE                 0

#define LED_DDR                 DDRC
#define LED_PORT                PORTC
#define LED_PIN                 PINC
#define LED1_PIN                0  // PINC0
#define LED2_PIN                1  // PINC1
#define LED3_PIN                2  // PINC2
#define LED4_PIN                3  // PINC3
#define LED1                    1
#define LED2                    2
#define LED3                    4
#define LED4                    8

/**
 * Reset den Mikrocontroller (über Watchdog)
 */
#define resetMicro()            { \
                                  do \
                                  { \
                                    wdt_enable(WDTO_15MS); \
                                    for(;;); \
                                  } while(0); \
                                }

#endif /* CONSTANTS_H_ */
