/*******************************************************************************
*    I²C Slave Library 1.0.                                                    *
*    Copyright (C) 2010-averyfarwaydate Luca Bertoncello                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

#ifdef SOURCE_leds
/**
* ledsInitialized: TRUE wenn die Initialisierung erfolgreich war, FALSE ansonsten
*/
boolean ledsInitialized = FALSE;
#else
extern boolean ledsInitialized;
#endif

/**
* Funktion um eine komplette Initialisierung, inklusiv alle Prüfungen, des
* LEDs-Subsystem
*/
void doInitLEDs(void);

/**
* Schalte ein LED ein
*
* @param uint8_t led    das LED einzuschalten (siehe Konstanten)
*/
#define turnOnLED(__led)               LED_PORT &= ~__led

/**
* Schalte ein LED aus
*
* @param uint8_t led    das LED auszuschalten (siehe Konstanten)
*/
#define turnOffLED(__led)              LED_PORT |= __led
