/*******************************************************************************
*    I²C Slave Library 1.0.                                                    *
*    Copyright (C) 2010-averyfarwaydate Luca Bertoncello                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

#include <stdlib.h>
#include <string.h>
#include <avr/interrupt.h>
#include <avr/wdt.h>
#include "inc/constants.h"
#include "inc/leds.h"
#include "inc/tools.h"
#include "inc/i2cslave.h"

int main(void)
{
  // Watchdog deaktivieren
  MCUCSR = 0;
  wdt_disable();

  toSendData[0x00][0] = 0;
  toSendData[0x00][1] = 1;
  maxSendData[0x00] = 2;

  toSendData[0x01][0] = 2;
  toSendData[0x01][1] = 3;
  maxSendData[0x01] = 2;

  toSendData[0x02][0] = 4;
  toSendData[0x02][1] = 5;
  maxSendData[0x02] = 2;

  doInitTimer();
// Hier werden auch die Interrupts aktiviert!
  initI2Cslave(MYI2C);
// Hier kann noch was anderes initialisiert werden...
  doInitLEDs();

// Und los!
  while(1 == 1)
  {
    if((getUptime() % 1000) == 0)
      turnOnLED(LED1);
    if(((getUptime() - 300) % 1000) == 0)
      turnOffLED(LED1);

    if((getUptime() % 3000) == 0)
    {
      turnOffLED(LED2);
      turnOffLED(LED3);
      turnOffLED(LED4);
    }

    if(areDataAvailable())
    {
#if REGISTERCOUNT == 0
      if(receivedData[0x00][0] == 0x01)
        turnOnLED(LED2);
      if(receivedData[0x00][1] == 0x02)
        turnOnLED(LED3);
#else
      switch(registerAddress)
      {
        case 0x01:
          if(receivedData[0x01][0] == 0x03)
          {
            turnOnLED(LED2);
            turnOnLED(LED3);
          }
        break;
        case 0x02:
          if(receivedData[0x02][0] == 0x04)
          {
            turnOnLED(LED2);
            turnOnLED(LED4);
          }
          if(receivedData[0x02][1] == 0x05)
          {
            turnOnLED(LED3);
            turnOnLED(LED4);
          }
        break;
      }
#endif
      gotData();
    }
  }
  return(0);
}
